%define upstream_name    Test-File
%define upstream_version 1.443

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Test file attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder) >= 0.330.0
BuildRequires: perl(Test::Builder::Tester) >= 1.40.0
BuildRequires: perl(Test::Manifest) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.950.0
BuildRequires: perl(Test::utf8)
BuildArch:  noarch

%description
This modules provides a collection of test utilities for file
attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.pod examples
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.443.0-4.mga8
+ Revision: 1506390
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.443.0-3.mga7
+ Revision: 1286657
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.443.0-2.mga7
+ Revision: 1166760
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 1.443.0-1.mga7
+ Revision: 1141355
- update to 1.443

* Sun Jun 19 2016 pterjan <pterjan> 1.440.0-3.mga6
+ Revision: 1034287
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.440.0-2.mga6
+ Revision: 968347
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.440.0-1.mga6
+ Revision: 852093
- update to 1.44

* Sun Jul 05 2015 sander85 <sander85> 1.430.0-1.mga6
+ Revision: 851473
- update to 1.43

* Wed Oct 15 2014 umeabot <umeabot> 1.360.0-3.mga5
+ Revision: 747683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.360.0-2.mga5
+ Revision: 686438
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.360.0-1.mga5
+ Revision: 587300
- update to 1.36

* Mon Oct 21 2013 umeabot <umeabot> 1.350.0-2.mga4
+ Revision: 541118
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 1.350.0-1.mga4
+ Revision: 495140
- update to 1.35

* Sun Jan 13 2013 umeabot <umeabot> 1.340.0-2.mga3
+ Revision: 373512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.340.0-1.mga3
+ Revision: 255523
- update to 1.34

* Thu Feb 23 2012 jquelin <jquelin> 1.330.0-1.mga2
+ Revision: 213197
- update to 1.33

* Wed Jan 25 2012 jquelin <jquelin> 1.310.0-1.mga2
+ Revision: 201057
- update to 1.31

* Fri Jan 21 2011 jquelin <jquelin> 1.290.0-1.mga1
+ Revision: 28796
- mageia rebuild
- imported package perl-Test-File


* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.290.0-1mdv2010.0
+ Revision: 393407
- update to 1.29
- fixed license tag

* Tue May 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.270.0-1mdv2010.0
+ Revision: 379877
- new version
- use new perl macro version
- drop failing test
- update to new version 1.26

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.25-2mdv2009.0
+ Revision: 268734
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2009.0
+ Revision: 218381
- update to new version 1.25
- update to new version 1.24
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2008.1
+ Revision: 104442
- update to new version 1.22


* Thu Jan 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2007.0
+ Revision: 110092
- new version

* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2007.1
+ Revision: 87846
- new version
- Import perl-Test-File

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 1.16-1mdv2007.0
- New release 1.16

* Sat May 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdk
- New release 1.15

* Sat Apr 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.14-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-1mdk
- 1.14
- Remove patch 0

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.13-1mdk
- 1.13

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- New release 1.12

* Wed Oct 05 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdk
- New release 1.11
- fix directory ownership
- spec cleanup

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.10-2mdk
- Fix BuildRequires
- mkrel

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 1.10-1mdk
- initial Mandriva package

